@echo off
::	MakecwRsync_6.4.5_cmd.bat
::
set "ShortCutRoot=%HOMEDRIVE%\PortableApps\ShortCut"
set "ShortCutName=ShortCut.exe"
::
set "AppNameRoot=%HOMEDRIVE%\PortableApps\cwRsync_6.4.5_x64_Free_cmd"
set "AppName=865s.cmd"
::
set "AppLinkRoot=%PUBLIC%\desktop\PortableApps"
set "AppLinkFile=cwRsync_6.4.5_x64_Free_865s_cmd.lnk"
::
set "AppICON=%AppNameRoot%\shell32_293.ico"
::

::	2024-08-31
call :Checkdir "%AppLinkRoot%"
::
"%ShortCutRoot%\%ShortCutName%" /T:"%AppNameRoot%\%AppName%" /F:"%AppLinkRoot%\%AppLinkFile%" /I:"%AppICON%" /A:c
echo "%ShortCutRoot%\%ShortCutName%" /T:"%AppNameRoot%\%AppName%" /F:"%AppLinkRoot%\%AppLinkFile%" /I:"%AppICON%" /A:c

if "%~1"=="" (
	%ComSpec% /k
) else (
	%ComSpec% /%~1
)
goto End

::	2024-08-31
:Checkdir
	rem ====----	https://stackoverflow.com/questions/18639663/how-to-pass-command-line-parameters-with-space-in-batch-file

	if exist "%*" (
		exit /b
	)
	if not exist "%*" (
		mkdir "%*"
	)
	if exist "%*" (
		echo "%*" Created
	)
	exit /b

:End
